#!/usr/bin/env zsh

set -e

echo "signing in to onepass"
op signin

export AWS_ACCESS_KEY_ID=$(op read op://personal/minio.front.kjuulh.io/username)
export AWS_SECRET_ACCESS_KEY=$(op read op://personal/minio.front.kjuulh.io/password)
export AWS_REGION=eu-west-1

echo "processing: alloy"
echo "building rust project"
(cd alloy && cargo component build --release)
echo "upload"
aws s3 cp alloy/target/wasm32-wasip1/release/alloy.wasm s3://churn-registry/alloy/0.1.0/alloy.wasm --endpoint-url https://api-minio.front.kjuulh.io
